Integrations
Update resource metadata
Updates metadata for a specific resource such as an S3Bucket or CloudwatchLogGroup.
PATCH
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
/
resources
/
{resourceId}
Update resource metadata
curl --request PATCH \
--url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inScope": true,
"description": "<string>",
"ownerId": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId}"
payload = {
"inScope": True,
"description": "<string>",
"ownerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inScope: true, description: '<string>', ownerId: '<string>'})
};
fetch('https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the integration.
Unique identifier of the integration resource kind.
Unique identifier of the resource.
Body
application/json
Response
204
No content
Was this page helpful?
Previous
List issuesList issues on a domain (paginated).
Returns a paginated list of issues that the authenticated app has
permission to view, optionally filtered and sorted.
Next
⌘I
Update resource metadata
